/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Pacing
 */
public enum EnumCV_Pacing 
{
	//CID 3555 - Pacing
	PACING_P2_35000("P2-35000"),
	PACING_WITH_MAGNET_R_00315("R-00315"),
	ATRIAL_PACING_P2_35200("P2-35200"),
	VENTRICULAR_PACING_P2_35002("P2-35002"),
	AV_SEQUENTIAL_PACING_R_002D9("R-002D9"),
	TEMPORARY_TRANSCUTANEOUS_PACING_P2_35440("P2-35440");
	
	private String value;
	
	EnumCV_Pacing(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
